R语言在Linux环境下安装Curl出错问题的解决

运行

install.packages("RCurl")

得到这样的结果

> I have some problem in running R-cran's Demography package.

> The hmd.mx function need Rcurl. I tried to install RCurl, but meet the following error:

> *********************************************************************

> ...

> * installing *source* package ‘RCurl’ ...

> checking for curl-config... no

> Cannot find curl-config

> ERROR: configuration failed for package ‘RCurl’

> * removing ‘/home/z/R/i686-pc-linux-gnu-library/2.12/RCurl’

> ...

> *************************************************************

解决方案:

sudo apt-get install libcurl4-gnutls-dev
收藏

共0条 1

登录 后发表评论。没有帐号? 注册 一个。

2019-06-21 17:03:31 24 次浏览 0 个评论